package com.xueyi.system.digitalmans.service;

import com.xueyi.common.web.entity.service.IBaseService;
import com.xueyi.message.api.transfer.domain.vo.DmActiveVo;
import com.xueyi.system.api.digitalmans.domain.po.DmManDevicePo;
import com.xueyi.system.api.digitalmans.domain.dto.DmManDeviceDto;
import com.xueyi.system.api.digitalmans.domain.vo.DashboardVo;
import com.xueyi.system.digitalmans.domain.query.DmManDeviceQuery;

import java.util.List;

/**
 * 数字人设备管理管理 服务层
 *
 * @author xueyi
 */
public interface IDmManDeviceService extends IBaseService<DmManDeviceQuery, DmManDeviceDto> {
    DmManDeviceDto manDeviceInfoInner(String devId);
    Integer manDeviceInfoInnerUpdate(DmActiveVo vo);

    List<DmManDeviceDto> manDeviceListNotNullByTenantId(Long tenantId);
    DmManDevicePo getOne(String devId);

    Integer restartDevice(Integer type,String devId);
    DashboardVo dashboardData();
}